const app = getApp()

import {
    selectParkListRq
} from "../../../api/user/park.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        dataList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this;
        _this.setData({
            ...options,
        })
        // 园区列表
        _this.getParkList();
    },

    // 园区列表
    getParkList() {
        let _this = this
        selectParkListRq({
            tenantId: app.tenantId
        }).then(res => {
            console.log('selectParkListRq', res);
            _this.setData({
                dataList: res.data
            })
        })
    },

    // 选择园区
    selectPark(e) {
        console.log('e.currentTarget.dataset', e);
        let obj = e.currentTarget.dataset.obj;
        wx.setStorageSync('parkId', obj.id)
        wx.setStorageSync('parkName', obj.name)
        // 销毁当前页面
        wx.navigateBack();
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})